Bug 434759 - F-9 pv_ops: re-enable execshield patch
F-9 pv_ops: re-enable execshield patch
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel-xen-2.6 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PvOpsTracker
  Show dependency treegraph
 
Reported: 2008-02-25 05:49 EST by Mark McLoughlin
Modified: 2008-03-25 08:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: kernel-xen-2.6-2.6.25-0.5.rc4.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-25 06:57:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xen execshield: Add xen-specific load_user_cs_desc() (4.28 KB, patch)
2008-03-25 06:54 EDT, Mark McLoughlin
no flags Details | Diff
xen execshield: fix endless GPF fault loop (2.09 KB, patch)
2008-03-25 06:55 EDT, Mark McLoughlin
no flags Details | Diff
xen x86_64: Only define load_user_cs_desc() on 32 bit (3.87 KB, patch)
2008-03-25 08:41 EDT, Mark McLoughlin
no flags Details | Diff

  None (edit)
Description Mark McLoughlin 2008-02-25 05:49:11 EST
Currently, in our test kernel-xen builds which include pv_ops, we have to
disable the execshield patch in order to prevent an oops during boot.

This should be re-enabled before F-9

Latest build is kernel-xen-2.6-2.6.24-23.8.pv_ops.fc9:

  http://koji.fedoraproject.org/koji/taskinfo?taskID=460974

Built from the private-markmc-pv-ops-branch of rpms/kernel-xen-2.6/devel:

 
http://cvs.fedora.redhat.com/viewcvs/rpms/kernel-xen-2.6/devel/?only_with_tag=private-markmc-pv-ops-branch
Comment 1 Mark McLoughlin 2008-02-25 05:49:51 EST
Oops details:

(XEN) platform_hypercall.c:178: Domain 0 says that IO-APIC REGSEL is good
Using IPI No-Shortcut mode
registered taskstats version 1
  Magic number: 12:235:593
Freeing unused kernel memory: 596k freed
Write protecting the kernel read-only data: 931k
BUG: unable to handle kernel paging request at virtual address c39d2074
printing eip: c10073a8 *pdpt = 000000005356c001 
Oops: 0003 [#1] SMP 
Modules linked in:

Pid: 1, comm: init Not tainted (2.6.24-23.5.pv_ops.fc9xen #1)
EIP: 0061:[<c10073a8>] EFLAGS: 00010286 CPU: 0
EIP is at arch_add_exec_range+0x59/0x63
EAX: c39d2000 EBX: 00cffb00 ECX: c1946000 EDX: 00000000
ESI: 0000ffff EDI: ed010d20 EBP: ed044d20 ESP: ed044d18
 DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: e021
Process init (pid: 1, ti=ed044000 task=ed060000 task.ti=ed044000)
Stack: ed010d00 ed100980 ed044e00 c10c4ea3 00000080 ffffffff 658a260a 00000000 
       02df8311 00000000 ed044f2c ed100980 00000003 009d0bb4 c39d0bac 00000000 
       ed0b6800 c13d0008 77361066 ed044d84 ed0b7a00 00000002 ed05b130 89b67f71 
Call Trace:
 [<c100b464>] show_stack_log_lvl+0xa0/0xbb
 [<c100b524>] show_registers+0xa5/0x182
 [<c100b736>] die+0x135/0x220
 [<c12528e9>] do_page_fault+0x6a2/0x784
 [<c1250e0a>] error_code+0x72/0x78
 [<c10c4ea3>] load_elf_binary+0x549/0x1622
 [<c109f272>] search_binary_handler+0xa3/0x1ef
 [<c10c366c>] load_script+0x178/0x18c
 [<c109f272>] search_binary_handler+0xa3/0x1ef
 [<c10a0315>] do_execve+0x174/0x1f0
 [<c100785c>] sys_execve+0x2e/0x53
 [<c10092fa>] syscall_call+0x7/0xb
 =======================
Code: e8 01 00 00 89 99 ec 01 00 00 64 a1 00 10 3d c1 3b 88 80 01 00 00 75 19 64
8b 15 08 10 3d c1 b8 00 20 3d c1 03 04 95 80 40 38 c1 <89> 58 74 89 70 70 5b 5e
5d c3 55 89 e5 56 53 89 c3 3b 90 f0 01 
EIP: [<c10073a8>] arch_add_exec_range+0x59/0x63 SS:ESP e021:ed044d18
Comment 2 Mark McLoughlin 2008-03-25 06:54:42 EDT
Created attachment 298994 [details]
xen execshield: Add xen-specific load_user_cs_desc()
Comment 3 Mark McLoughlin 2008-03-25 06:55:38 EDT
Created attachment 298996 [details]
xen execshield: fix endless GPF fault loop
Comment 4 Mark McLoughlin 2008-03-25 06:57:07 EDT
Should be fixed in kernel-xen-2.6-2.6.25-0.5.rc4.fc9

* Tue Mar 25 2008 Mark McLoughlin <markmc@redhat.com>
- Re-enable execshield (bug #434759)

Comment 5 Mark McLoughlin 2008-03-25 08:41:32 EDT
Created attachment 299014 [details]
xen x86_64: Only define load_user_cs_desc() on 32 bit

Needed this to build on x86_64

Building as kernel-xen-2.6-2.6.25-0.6.rc4.fc9

Note You need to log in before you can comment on or make changes to this bug.